Subject: Re: big picture UDP/IP performance question re 2.6.18 -> 2.6.32

From: Peter Zijlstra <[email-masked]>
Date: Wed, 05 Oct 2011 15:22:22 +0200

On Tue, 2011-10-04 at 14:16 -0500, Christoph Lameter wrote:
> 
> We had similar experiences. Basically latency constantly gets screwed up
> by the new fancy features being added to the scheduler and network
> subsystem (most notorious is the new "fair" scheduler, 2.6.23 made a big
> step down). The kernel has a fairly constant regression in terms of
> latency release after release. Only the new and more efficient processors
> periodically provide some compensation (and some isolated patches to
> actually improve things get in but these are usually watered down one or
> two releases after those improvements have been made). 

I suppose all this testing and feedback we receive from you really helps
us keep the performance levels you want.. Oh wait, that's 0.

Clearly none of the tests being ran on a regular basis, by for instance
the Intel regression team, covers your needs. Start by fixing that.

Also, for latency, we've got ftrace and a latencytracer, provide traces
that illustrate your fail.